# Do not edit this file manually!
# It will be overwritten by the ALTER SYSTEM command.
listen_addresses = '*'
port = '5432'
max_connections = '1000'
log_connections = 'yes'
shared_buffers = '6352MB'
temp_buffers = '32MB'
work_mem = '40MB'
maintenance_work_mem = '64MB'
max_worker_processes = '4'
max_parallel_workers_per_gather = '4'
wal_compression = 'on'
archive_mode = 'on'
archive_command = 'cp %p /data/postgres/archive_log/%f'
log_destination = 'csvlog'
logging_collector = 'on'
log_directory = 'log'
log_truncate_on_rotation = 'on'
log_rotation_size = '30MB'
log_lock_waits = 'on'
lock_timeout = '300000'
track_io_timing = 'on'
track_functions = 'all'
track_activities = 'on'
track_counts = 'on'
vacuum_cost_limit = '2000'
bgwriter_delay = '20ms'
bgwriter_lru_maxpages = '400'
wal_keep_segments = '128'
track_commit_timestamp = 'off'
enable_seqscan = 'off'
log_min_duration_statement = '10000'
log_timezone = 'PRC'
autovacuum_max_workers = '20'
autovacuum_vacuum_threshold = '5'
autovacuum_analyze_threshold = '5'
autovacuum_vacuum_scale_factor = '0.0002'
autovacuum_analyze_scale_factor = '0.00001'
wal_level = 'replica'
pg_stat_statements.max = '1000'
pg_stat_statements.track = 'all'
auto_explain.log_min_duration = '10000'
log_statement = 'ddl'
